using System;

internal sealed class Delegate128 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate128 delegate128_1)
	{
		return delegate128_1(object_0);
	}

	public extern Delegate128(object object_0, IntPtr intptr_0);

	static Delegate128()
	{
		Class10.smethod_13(typeof(Delegate128).TypeHandle);
	}

	internal static Delegate128 delegate128_0;
}
